Quassel IRC - Bug #844

Quassel handles special characters case-insensitive, while ircd doesn't

10/29/2009 10:25 AM - fuzzy76

Status: Confirmed Start date: 10/29/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.7-pre 0S: Any
Description

| tried to join #tromsg and #tromsd simultaneously on efnet. The network sees them as two separate channels, but Quassel didn't. It

reported the join, but insisted on showing them in a single buffer. And when | left, | couldn't rejoin until | restarted the client.

History

#1 - 01/28/2010 01:19 AM - dalbers

- Assignee set to dalbers

#2 - 08/11/2010 10:55 PM - al

- Status changed from New to Confirmed
- Assignee deleted (dalbers)

- Version changed from 0.5.0 to 0.7-pre

The problem is that most IRC servers case-fold ASCII or even ISO-8859-something in channel names, but not e. g. UTF-8 encoded characters.
Quassel would need to implement a way to persist channel names when writing them to the database that follows the exact same rules that the IRC

server implements regarding case-folding.

#3 - 08/11/2010 11:04 PM - al

This is an unfinished fix that only takes 7-bit-ASCII into account:

http:/qitorious.org/~ald/quassel/alds-quassel/commit/1bf90701c6978f3250f68cfd3d056a6c4290f262
http://gitorious.org/~ald/quassel/alds-quassel/commit/b9b6d668be551de50f6¢c76f4e807ba708294ffae

http:/qitorious.org/~ald/quassel/alds-quassel/commits/buffercname
